summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorKrzysztof Pawlik <nelchael@gentoo.org>2006-09-09 20:32:30 +0000
committerKrzysztof Pawlik <nelchael@gentoo.org>2006-09-09 20:32:30 +0000
commit9c63ef9fa9d3b3391eae6e7da36ed31f9ce5aa87 (patch)
tree98f9821123ce8d203e8e23207dd6ae0a1911269b /eclass
parentStable on x86, bug #146829. (diff)
downloadhistorical-9c63ef9fa9d3b3391eae6e7da36ed31f9ce5aa87.tar.gz
historical-9c63ef9fa9d3b3391eae6e7da36ed31f9ce5aa87.tar.bz2
historical-9c63ef9fa9d3b3391eae6e7da36ed31f9ce5aa87.zip
Fix bug #144544 - sandbox violation.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/java-wsdp.eclass5
1 files changed, 3 insertions, 2 deletions
diff --git a/eclass/java-wsdp.eclass b/eclass/java-wsdp.eclass
index d31a25e7bb1c..31e534319c12 100644
--- a/eclass/java-wsdp.eclass
+++ b/eclass/java-wsdp.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/java-wsdp.eclass,v 1.2 2006/07/07 09:20:20 nelchael Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java-wsdp.eclass,v 1.3 2006/09/09 20:32:30 nelchael Exp $
#
# Original Author: Krzysiek Pawlik <nelchael@gentoo.org>
@@ -73,7 +73,8 @@ java-wsdp_src_unpack() {
# Now the Sun's installer is run to get the files:
ebegin "Installing using Sun's installer, please wait"
cd "${T}/unpacked/"
- java JWSDP -silent -P installLocation="${WORKDIR}/base" || die "java failed"
+ mkdir -p "${T}/fakehome" || die "mkdir failed"
+ java -Duser.home="${T}/fakehome" JWSDP -silent -P installLocation="${WORKDIR}/base" || die "java failed"
eend 0
# A little cleanup (remove unneeded files like uninstaller, images for it,